<?php
//Include the bm_pdf-Klasse just in Case it would be needed 
require_once('class.bm_pdf.php');


/* The point of this class it to create some template system to allow easy individualisation
or change of the resulting PDF. In further releases it would be nice to use FPDI (some PDF
template system) here to make a clearer divide between the presentation and looks of the PDF
and its contents. 
It would be possible to dynamically load FDPI procedures from a database that contain some PDF-
Template and some parameters oder colors. In combination with graphs+translationmethods and
database loaded pdf_assembler classes, the resulting PDF could be really flexible and nice.
*/

class pdf_assembler extends bm_pdf
{
  //PHP does not call parent constructors, thus do it yourself
	function pdf_assembler()
	{
		$this->bm_pdf();	
	}//END pdf_assembler
	
	/* assemble_pdf
 	Assembles the final PDF from the parts of the parent class.
 	It can then be processed with with createoutput and releaseoutput.
 	
	The purpose oth this class is that the actual layout of the PDF is transfered into an
	extra file, which is nice and small to be able to change it fast and eliminate the need
	of many changes on the parent class. bm_pdf
	*/
	function assemble_pdf()
	{
    		/* Header and footer are present, so create the first heading. */
	    	$this->addheading(BM_TXT_PDF_TITLETEXT);
	    	//The help for the usage
	    	$this->addparagraph(BM_TXT_PDF_HOWTO);
	    	//Now the disclaimer, set to important for diferent formatting.
	    	$this->addparagraph(BM_TXT_PDF_DISCLAIMER,true);
	    	//Create a new page for the graphs
		$this->AddPage();
		//Both graphs, 10mm of space between them
	    	$this->SetX(0);
	    	$this->addgraph(BM_GRAPH_FERTILITY,150,75);
	    	$this->ln(25);
	    	$this->addgraph(BM_GRAPH_FREESEX,150,75);
      }//END assemble_pdf
      
}//END class pdf_assembler

//### DEBUG ###
$deb=new auxtools();
//$backtrace=debug_backtrace();
//$deb->debug_out(__FILE__.' OK<br>'.'(in '.__FILE__.', Line: '.__LINE__.', Function: '.__FUNCTION__.')<br>');
?>