<?
//******************************************************************************
//                        TOOLS AND BASIC CLASSES
//******************************************************************************
/*Die Includes for the required components
	- JPGraph, the needed additional library is included in the context of the requiring
	  function
	  ###ERROR#### Could cause problems, so possible include here.
	- FPDF, include the class and set the font path.
*/
/*Constants, include path and so on. needs to be required with full path since the file itself
  sets the needed include path*/
require_once('classes/include.constants.php');
//auxtools, keeps all functions that don't fit elsewhere
require_once('class.auxtools.php');
//bm_emailer, emails and can send emails.
require_once('class.bm_emailer.php');
//bm_pdf, contains the elements of the pdf and can produce pdfs
require_once('class.bm_pdf.php');
//bm_periodengrafik, sets basic graph attributes, can create and release graphfiles
require_once('class.bm_periodengrafik.php');

//******************************************************************************
//                        SPECIALIZES AND TEMPLATECLASSES
//******************************************************************************
/* pdf_assembler, this class assembles the actual pdf and outputs it.
   This class acts as a template for the acutal pdf, later on this would be the place for FPDI-Integration
*/
require_once('class.pdf_assembler.php');
//fertilitygrafik, can convert bm_in_data to fertility_data, can draw fertility graph
require_once('class.fertilitygrafik.php');
//freesexgrafik, can convert bm_in_data to freesex_data, can draw freesex graph
require_once('class.freesexgrafik.php');
//******************************************************************************
//                        INTEGRATED COMPONENTS
//				 FPDF, JPGRAPH, PHPMAILER
//******************************************************************************
//FPDF, most possibly class.bm_pdf.php includes it again, so require_once for security
//require_once('fpdf.php');// FPDF-Mainclass, not used because of htmlcolor - fpdf_derived class
require_once('htmlcolor.php');
//require('fpdf/mem_image.php'); // FPDF-class + Mem_Image-class, deactivated
//JPGRAPH, most possibly class.periodengrafik.php includes it again, so require once for security
require_once("jpgraph.php"); //JPGraph-Main
//PHPMailer, most possibly class.bm_emailer.php includes it again, so require once for security
require_once("class.phpmailer.php"); // phpmailer

//******************************************************************************
//                        THE ACTUAL SERVERSCRIPT
//******************************************************************************
//DEBUG: Fake input data
	/*global $bm_in_data;
	global $bm_in_monat;
	global $bm_in_jahr;
	global $bm_in_name;
	global $bm_in_email;*/
	
//Create new PDF_Assembler
$pdf_assembler=new pdf_assembler();
//Create the PDF in memory
$pdf_assembler->assemble_pdf();
//Output it
$pdf_assembler->createoutput();

//create the email
$emailer=new bm_emailer();
//attach the pdf
$emailer->putattachment($pdf_assembler);
$emailer->send_email($pdf_assembler);


//### DEBUG ###
$deb=new auxtools();
//$backtrace=debug_backtrace();
//$deb->debug_out(__FILE__.' OK<br>'.'(in '.__FILE__.', Line: '.__LINE__.', Function: '.__FUNCTION__.')<br>');
?>